## raptor2 2.0.13

=== CMakeLists.txt ===
# raptor/CMakeLists.txt
#
# This file allows building Raptor2 with the CMake configuration tool.
# Download CMake in source or binary form from http://www.cmake.org/
#
# Original listfile by Daniel Richard G. <skunk@iSKUNK.ORG>
# This file is in the public domain.
#

SET(RAPTOR_VERSION_MAJOR	2)
SET(RAPTOR_VERSION_MINOR	0)
SET(RAPTOR_VERSION_RELEASE	13)
SET(RAPTOR_MIN_VERSION_DECIMAL	20013)

SET(VERSION "${RAPTOR_VERSION_MAJOR}.${RAPTOR_VERSION_MINOR}.${RAPTOR_VERSION_RELEASE}")
MATH(EXPR RAPTOR_VERSION_DECIMAL "${RAPTOR_VERSION_MAJOR} * 10000 + ${RAPTOR_VERSION_MINOR} * 100 + ${RAPTOR_VERSION_RELEASE}")

PROJECT(Raptor2 C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.7)

SET(CMAKE_INCLUDE_CURRENT_DIR 1)

################################################################

# Third-party libraries

FIND_PACKAGE(CURL)
FIND_PACKAGE(LibXml2)
FIND_PACKAGE(LibXslt)
#FIND_PACKAGE(YAJL)

INCLUDE_DIRECTORIES(
	${CURL_INCLUDE_DIRS}
	${EXPAT_INCLUDE_DIRS}
	${LIBXML2_INCLUDE_DIR}
	${LIBXSLT_INCLUDE_DIR}
)

################################################################

# Configuration checks

INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)
INCLUDE(CheckStructHasMember)
INCLUDE(CheckCSourceCompiles)

CHECK_INCLUDE_FILE(errno.h	HAVE_ERRNO_H)
CHECK_INCLUDE_FILE(fcntl.h	HAVE_FCNTL_H)
CHECK_INCLUDE_FILE(getopt.h	HAVE_GETOPT_H)
CHECK_INCLUDE_FILE(limits.h	HAVE_LIMITS_H)
CHECK_INCLUDE_FILE(math.h	HAVE_MATH_H)
CHECK_INCLUDE_FILE(setjmp.h	HAVE_SETJMP_H)
CHECK_INCLUDE_FILE(stddef.h	HAVE_STDDEF_H)
CHECK_INCLUDE_FILE(stdlib.h	HAVE_STDLIB_H)
CHECK_INCLUDE_FILE(string.h	HAVE_STRING_H)
CHECK_INCLUDE_FILE(unistd.h	HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(sys/param.h	HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILE(sys/stat.h	HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/stat.h	HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/time.h	HAVE_SYS_TIME_H)

CHECK_INCLUDE_FILES("sys/time.h;time.h" TIME_WITH_SYS_TIME)

CHECK_FUNCTION_EXISTS(access		HAVE_ACCESS)
CHECK_FUNCTION_EXISTS(_access		HAVE__ACCESS)
CHECK_FUNCTION_EXISTS(getopt		HAVE_GETOPT)
CHECK_FUNCTION_EXISTS(getopt_long	HAVE_GETOPT_LONG)
CHECK_FUNCTION_EXISTS(gettimeofday	HAVE_GETTIMEOFDAY)
CHECK_FUNCTION_EXISTS(isascii		HAVE_ISASCII)
CHECK_FUNCTION_EXISTS(setjmp		HAVE_SETJMP)
CHECK_FUNCTION_EXISTS(snprintf		HAVE_SNPRINTF)
CHECK_FUNCTION_EXISTS(_snprintf		HAVE__SNPRINTF)
CHECK_FUNCTION_EXISTS(stat		HAVE_STAT)
CHECK_FUNCTION_EXISTS(strcasecmp	HAVE_STRCASECMP)
CHECK_FUNCTION_EXISTS(stricmp		HAVE_STRICMP)
CHECK_FUNCTION_EXISTS(_stricmp		HAVE__STRICMP)
CHECK_FUNCTION_EXISTS(strtok_r		HAVE_STRTOK_R)
CHECK_FUNCTION_EXISTS(vasprintf		HAVE_VASPRINTF)
CHECK_FUNCTION_EXISTS(vsnprintf		HAVE_VSNPRINTF)
CHECK_FUNCTION_EXISTS(_vsnprintf	HAVE__VSNPRINTF)

CHECK_TYPE_SIZE("unsigned char"		SIZEOF_UNSIGNED_CHAR)
CHECK_TYPE_SIZE("unsigned short"	SIZEOF_UNSIGNED_SHORT)
CHECK_TYPE_SIZE("unsigned int"		SIZEOF_UNSIGNED_INT)
CHECK_TYPE_SIZE("unsigned long"		SIZEOF_UNSIGNED_LONG)
CHECK_TYPE_SIZE("unsigned long long"	SIZEOF_UNSIGNED_LONG_LONG)

IF(LIBXML2_FOUND)

	SET(CMAKE_REQUIRED_INCLUDES  ${LIBXML2_INCLUDE_DIR})
	SET(CMAKE_REQUIRED_LIBRARIES ${LIBXML2_LIBRARIES})

	CHECK_FUNCTION_EXISTS(xmlCtxtUseOptions     HAVE_XMLCTXTUSEOPTIONS)
	CHECK_FUNCTION_EXISTS(xmlSAX2InternalSubset HAVE_XMLSAX2INTERNALSUBSET)

	CHECK_STRUCT_HAS_MEMBER(
		xmlEntity
		name_length
		libxml/parser.h
		RAPTOR_LIBXML_ENTITY_NAME_LENGTH
	)

	CHECK_STRUCT_HAS_MEMBER(
		xmlEntity
		etype
		libxml/parser.h
		RAPTOR_LIBXML_ENTITY_ETYPE
	)

	CHECK_STRUCT_HAS_MEMBER(
		xmlSAXHandler
		initialized
		libxml/parser.h
		RAPTOR_LIBXML_XMLSAXHANDLER_INITIALIZED
	)

	CHECK_STRUCT_HAS_MEMBER(
		xmlSAXHandler
		externalSubset
		libxml/parser.h
		RAPTOR_LIBXML_XMLSAXHANDLER_EXTERNALSUBSET
	)

	CHECK_C_SOURCE_COMPILES("
#include <libxml/parser.h>
int main(void){ xmlParserOption foo; foo = XML_PARSE_NONET; return 0; }"
		RAPTOR_LIBXML_XML_PARSE_NONET
	)

	CHECK_C_SOURCE_COMPILES("
#include <libxml/HTMLparser.h>
int main(void){ htmlParserOption foo; foo = HTML_PARSE_NONET; return 0; }"
		RAPTOR_LIBXML_HTML_PARSE_NONET
	)

	SET(CMAKE_REQUIRED_INCLUDES)
	SET(CMAKE_REQUIRED_LIBRARIES)

ENDIF(LIBXML2_FOUND)

################################################################

# User-configurable options
#
# (Note: The CMake GUI displays these in alphabetical order, regardless of
# the order we use here)

SET(BUILD_SHARED_LIBS OFF CACHE BOOL
	"Build shared libraries instead of static ones.")

IF(BUILD_SHARED_LIBS)
	SET(RAPTOR_STATIC FALSE)
ELSE(BUILD_SHARED_LIBS)
	SET(RAPTOR_STATIC TRUE)
ENDIF(BUILD_SHARED_LIBS)

SET(RAPTOR_XML_INIT none)
IF(LIBXML2_FOUND)
	SET(RAPTOR_XML_INIT libxml)
ENDIF(LIBXML2_FOUND)

SET(RAPTOR_XML ${RAPTOR_XML_INIT} CACHE STRING
	"Which XML library to use (any of \"libxml\", \"none\").")

SET(RAPTOR_XML_DEFINE RAPTOR_XML_NONE)
IF(RAPTOR_XML STREQUAL "libxml")
	SET(RAPTOR_XML_DEFINE RAPTOR_XML_LIBXML)
ENDIF(RAPTOR_XML STREQUAL "libxml")

SET(RAPTOR_WWW_INIT none)
IF(LIBXML2_FOUND)
	SET(RAPTOR_WWW_INIT xml)
ENDIF(LIBXML2_FOUND)
IF(CURL_FOUND)
	SET(RAPTOR_WWW_INIT curl)
ENDIF(CURL_FOUND)

SET(RAPTOR_WWW ${RAPTOR_WWW_INIT} CACHE STRING
	"Which WWW library to use (any of \"curl\", \"xml\", \"none\").")

SET(RAPTOR_WWW_DEFINE RAPTOR_WWW_NONE)
IF(RAPTOR_WWW STREQUAL "curl")
	SET(RAPTOR_WWW_DEFINE RAPTOR_WWW_LIBCURL)
ELSEIF(RAPTOR_WWW STREQUAL "xml")
	SET(RAPTOR_WWW_DEFINE RAPTOR_WWW_LIBXML)
ENDIF(RAPTOR_WWW STREQUAL "curl")

SET(RAPTOR_XML_1_1 FALSE CACHE BOOL
	"Use XML version 1.1 name checking.")

SET(HAVE_RAPTOR_PARSE_DATE 1)
SET(RAPTOR_PARSEDATE 1)

SET(RAPTOR_PARSER_RDFXML_INIT FALSE)
IF(LIBXML2_FOUND)
	SET(RAPTOR_PARSER_RDFXML_INIT TRUE)
ENDIF(LIBXML2_FOUND)

SET(RAPTOR_PARSER_GRDDL_INIT FALSE)
IF(LIBXML2_FOUND AND LIBXSLT_FOUND)
	SET(RAPTOR_PARSER_GRDDL_INIT TRUE)
ENDIF(LIBXML2_FOUND AND LIBXSLT_FOUND)

SET(RAPTOR_PARSER_RDFXML ${RAPTOR_PARSER_RDFXML_INIT}
	CACHE BOOL "Build RDF/XML parser.")
SET(RAPTOR_PARSER_NTRIPLES TRUE
	CACHE BOOL "Build N-Triples parser.")
SET(RAPTOR_PARSER_TURTLE TRUE
	CACHE BOOL "Build Turtle parser.")
SET(RAPTOR_PARSER_TRIG TRUE
	CACHE BOOL "Build TRiG parser.")
SET(RAPTOR_PARSER_RSS ${LIBXML2_FOUND}
	CACHE BOOL "Build RSS Tag Soup parser.")
SET(RAPTOR_PARSER_GRDDL ${RAPTOR_PARSER_GRDDL_INIT}
	CACHE BOOL "Build GRDDL parser.")
SET(RAPTOR_PARSER_GUESS TRUE
	CACHE BOOL "Build guess parser.")
SET(RAPTOR_PARSER_RDFA ${LIBXML2_FOUND}
	CACHE BOOL "Build RDFA parser.")
SET(RAPTOR_PARSER_JSON ${YAJL_FOUND}
	CACHE BOOL "Build JSON parser.")
SET(RAPTOR_PARSER_NQUADS TRUE
	CACHE BOOL "Build N-Quads parser.")

SET(RAPTOR_SERIALIZER_RDFXML TRUE
	CACHE BOOL "Build RDF/XML serializer.")
SET(RAPTOR_SERIALIZER_NTRIPLES TRUE
	CACHE BOOL "Build N-Triples serializer.")
SET(RAPTOR_SERIALIZER_RDFXML_ABBREV TRUE
	CACHE BOOL "Build RDF/XML-abbreviated serializer.")
SET(RAPTOR_SERIALIZER_TURTLE TRUE
	CACHE BOOL "Build Turtle serializer.")
SET(RAPTOR_SERIALIZER_RSS_1_0 TRUE
	CACHE BOOL "Build RSS 1.0 serializer.")
SET(RAPTOR_SERIALIZER_ATOM TRUE
	CACHE BOOL "Build Atom 1.0 serializer.")
SET(RAPTOR_SERIALIZER_DOT TRUE
	CACHE BOOL "Build GraphViz DOT serializer.")
SET(RAPTOR_SERIALIZER_HTML TRUE
	CACHE BOOL "Build HTML Table serializer.")
SET(RAPTOR_SERIALIZER_JSON TRUE
	CACHE BOOL "Build JSON serializer.")
SET(RAPTOR_SERIALIZER_NQUADS TRUE
	CACHE BOOL "Build N-Quads serializer.")

################################################################

CONFIGURE_FILE(
	src/raptor_config_cmake.h.in
	src/raptor_config.h
	@ONLY
)

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

CONFIGURE_FILE(
	src/raptor2.h.in
	src/raptor2.h
	@ONLY
)

# On Windows, the test/utility programs usually have DLL dependencies that
# make them cumbersome to invoke within IDE environments, so we enable the
# test suite only when makefiles are being used.
#
# Note that a partial solution is described at
#
#	http://www.cmake.org/pipermail/cmake/2009-May/029464.html
#
# but we don't have a good way of knowing where the third-party DLLs are.
#
IF(CMAKE_GENERATOR MATCHES "Makefiles")
	ENABLE_TESTING()
ENDIF(CMAKE_GENERATOR MATCHES "Makefiles")

SUBDIRS(src)
SUBDIRS(utils)

################################################################

FIND_PROGRAM(JING jing)
IF(NOT JING STREQUAL "JING-NOTFOUND")
	SET(HAVE_JING TRUE)
ENDIF(NOT JING STREQUAL "JING-NOTFOUND")

SET(RAPPER  ${CMAKE_BINARY_DIR}/utils/rapper)
SET(RDFDIFF ${CMAKE_BINARY_DIR}/utils/rdfdiff)

MACRO(RAPPER_TEST NAME_PREFIX COMMAND OUTPUT REFERENCE)
	FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/test-${NAME_PREFIX}.cmake "
EXECUTE_PROCESS(
	COMMAND ${COMMAND}
	TIMEOUT 10
	OUTPUT_FILE ${OUTPUT}.raw
	ERROR_QUIET
)

# http://public.kitware.com/Bug/view.php?id=13007

CONFIGURE_FILE(
	${CMAKE_CURRENT_BINARY_DIR}/${OUTPUT}.raw
	${OUTPUT}
	@ONLY
	NEWLINE_STYLE UNIX
)
")
	ADD_TEST("${NAME_PREFIX}:run" ${CMAKE_COMMAND} -P test-${NAME_PREFIX}.cmake)
	ADD_TEST("${NAME_PREFIX}:cmp" ${CMAKE_COMMAND} -E compare_files ${REFERENCE} ${OUTPUT})
ENDMACRO(RAPPER_TEST NAME_PREFIX COMMAND OUTPUT REFERENCE)

MACRO(RAPPER_RDFDIFF_TEST NAME RAPPER_COMMAND RAPPER_OUTPUT RDFDIFF_COMMAND)
	FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/test-${NAME}.cmake "
SET(rdfdiff_status -1)

EXECUTE_PROCESS(
	COMMAND ${RAPPER_COMMAND}
	TIMEOUT 10
	OUTPUT_FILE ${RAPPER_OUTPUT}
	ERROR_QUIET
	RESULT_VARIABLE rapper_status
)

IF(rapper_status EQUAL 0 OR rapper_status EQUAL 2)
	EXECUTE_PROCESS(
		COMMAND ${RDFDIFF_COMMAND}
		TIMEOUT 10
		OUTPUT_QUIET
		ERROR_QUIET
		RESULT_VARIABLE rdfdiff_status
	)
ENDIF(rapper_status EQUAL 0 OR rapper_status EQUAL 2)

IF(NOT rdfdiff_status EQUAL 0)
	MESSAGE(FATAL_ERROR "Test failed.")
ENDIF(NOT rdfdiff_status EQUAL 0)
")

	ADD_TEST(${NAME} ${CMAKE_COMMAND} -P test-${NAME}.cmake)
ENDMACRO(RAPPER_RDFDIFF_TEST NAME RAPPER_COMMAND RAPPER_OUTPUT RDFDIFF_COMMAND)

SUBDIRS(tests/feeds)
SUBDIRS(tests/grddl)
SUBDIRS(tests/json)
SUBDIRS(tests/ntriples)
SUBDIRS(tests/rdfa)
SUBDIRS(tests/rdfa11)
SUBDIRS(tests/rdfxml)
SUBDIRS(tests/trig)
#SUBDIRS(tests/turtle)	# TODO

# end raptor/CMakeLists.txt

## raptor2 2.0.0

=== debian/changelog ===
raptor2 (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.0

 -- Dave Beckett <dajobe@debian.org>  Tue, 04 Jan 2011 08:22:11 -0800

raptor2 (1.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated to mention copyright for bison-generated
    files and librdfa files
  * debian/libraptor2-0.shlibs: 1.9.1

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Dec 2010 23:20:09 -0800

raptor2 (1.9.0-1) unstable; urgency=low
 
   * New upstream release
   * debian/control:
     - Standards version 3.9.1
     - Renamed all packages: (following library packaging
       guidelines),  libraptor2-0, libraptor2-dev, libraptor2-0-dbg,
       libraptor2-doc and raptor2-utils
     - raptor2-utils conflicts and replaces raptor-utils since it
       provides a rapper binary and manpage
     - Tidy the descriptions
   * Do not put libtool .la file into dev package.
   * Add docs/upgrade-script.pl to libraptor2-dev in examples dir

 -- Dave Beckett <dajobe@debian.org>  Mon, 16 Aug 2010 17:29:46 -0700

raptor (1.4.21-2) unstable; urgency=low

  * debian/control:
    - Standards version 3.8.4
    - Turn libraptor1 Recommends: raptor-utils into Suggests: because this
      is not needed for regular library-using users (Closes: #573270)
  * debian/patches/01-write_bytes.patch: Added from upstream GIT to fix
    write_bytes() factory return values
  
 -- Dave Beckett <dajobe@debian.org>  Wed, 10 Mar 2010 06:56:48 -0800

raptor (1.4.21-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sat, 30 Jan 2010 08:47:31 -0800

raptor (1.4.20-2) unstable; urgency=low

  * Add debug package libraptor1-dbg
  * debian/control: Remove Vcs-Svn fields since those were upstream SVN
    not packaging.

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Dec 2009 12:07:00 -0800

raptor (1.4.20-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.8.3

 -- Dave Beckett <dajobe@debian.org>  Sat, 28 Nov 2009 22:23:57 -0800

raptor (1.4.19-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Wed, 19 Aug 2009 14:22:53 -0700

raptor (1.4.18-3) unstable; urgency=low

  * Remove libtool dependency_libs from libraptor.la
  * debian/control: Add Homepage, Vcs-* headers

 -- Dave Beckett <dajobe@debian.org>  Sun, 12 Apr 2009 14:08:11 -0700

raptor (1.4.18-2) unstable; urgency=low

  * Link to libcurl-gnutls to remove openssl linking (Closes: #519070, #519695)
  * Update to standards version 3.8.1
  * debian/control: add depends: ${misc:Depends} for debhelper [lintian]
  * debian/libraptor1-doc.doc-base: make separate an empty line [lintian]

 -- Dave Beckett <dajobe@debian.org>  Fri, 27 Mar 2009 15:40:00 -0800

raptor (1.4.18-1) unstable; urgency=low

  * New upstream release
  * Bump shlibs to 1.4.18 since the API grew
  * debian/copyright: use pointer to /usr/share/common-licenses/Apache-2.0
  * Does not link to -lcares (Closes: #498027)

 -- Dave Beckett <dajobe@debian.org>  Sun, 07 Sep 2008 13:54:03 -0700

raptor (1.4.17-1) unstable; urgency=low

  * New upstream release
  * Rebuild against libcurl4-gnutls-dev rather than libcurl4-openssl-dev
    (Closes: #463344)
  * debian/control: depend on libtool 1.5 rather than older debian specific
    release
  * debian/copyright: 2008
  * debian/libraptor1-doc.doc-base: Use a correct Section:

 -- Dave Beckett <dajobe@debian.org>  Tue, 01 Apr 2008 22:06:01 -0700

raptor (1.4.16-1) unstable; urgency=low

  * New upstream release
  * Bump shlibs to 1.4.16 since the API grew

 -- Dave Beckett <dajobe@debian.org>  Mon, 01 Oct 2007 00:25:06 -0700

raptor (1.4.15-4) unstable; urgency=low
  * Install gtk-doc files under dir /usr/share/gtk-doc/html/raptor not
    libraptor so that devhelp can find raptor.devhelp{,2}

 -- Dave Beckett <dajobe@debian.org>  Sun, 26 Aug 2007 10:59:37 -0700

raptor (1.4.15-3) unstable; urgency=low

  * Use libcurl4-openssl-dev since libcurl3-openssl-dev has been
    removed (Closes: #424647)

 -- Dave Beckett <dajobe@debian.org>  Thu, 28 Jun 2007 07:27:31 -0700

raptor (1.4.15-2) unstable; urgency=low

  * Bump shlibs to 1.4.14 since the API grew (Closes: #411356)

 -- Dave Beckett <dajobe@debian.org>  Sat, 14 Apr 2007 11:22:09 -0700

raptor (1.4.15-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Mon, 26 Mar 2007 23:56:18 -0700

raptor (1.4.14-1) experimental; urgency=low

  * New upstream release
    - raptor.pc now uses Libs.private (Closes: #405242)
    - libraptor1-dev thus requires pkg-config (>= 0.18)

 -- Dave Beckett <dajobe@debian.org>  Wed, 31 Jan 2007 23:34:00 -0800

raptor (1.4.13-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 22 Oct 2006 21:15:07 -0700

raptor (1.4.12-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Aug 2006 10:56:47 -0700

raptor (1.4.11-1) unstable; urgency=low

  * New upstream release
  * Removed patch 01-rss-serialize.patch merged upstream
  * Bump shlibs for 1.4.11

 -- Dave Beckett <dajobe@debian.org>  Sat, 26 Aug 2006 21:30:03 -0700

raptor (1.4.10-1) unstable; urgency=low

  * New upstream release
  * Removed patch debian/01-rss-parser-early-triples.patch merged upstream
  * Standards version 3.7.2
  * Added patch 01-rss-serialize.patch from Subversion to make RSS
    serializing work again.

 -- Dave Beckett <dajobe@debian.org>  Sat, 12 Aug 2006 10:59:23 -0700

raptor (1.4.9-2) unstable; urgency=low

  * Added patch debian/01-rss-parser-early-triples.patch to fix crashes
    with RSS parser.

 -- Dave Beckett <dajobe@debian.org>  Thu, 11 May 2006 06:29:35 -0700

raptor (1.4.9-1) unstable; urgency=low

  * New upstream release
  * Bump shlibs for 1.4.9
  * debian/copyright: 2006

 -- Dave Beckett <dajobe@debian.org>  Sat, 22 Apr 2006 15:29:32 -0700

raptor (1.4.8-3) unstable; urgency=low



=== debian/control ===
Source: raptor2
Section: devel
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18)
Standards-Version: 3.9.1
Homepage: http://librdf.org/raptor/

Package: libraptor2-dev
Suggests: libraptor2-doc
Recommends: raptor-utils
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18)
Description: Raptor 2 RDF syntax library development libraries and headers
 Raptor Resource Description Framework (RDF) parser and serializer
 development libraries, header files and documentation needed by
 programs that want to be compiled with Raptor.

Package: libraptor2-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: raptor2-utils
Description: Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 The parsing syntaxes are RDF/JSON, RDF/XML, N-Triples, Turtle, GRDDL and RSS
 tag soup including Atom 0.3 and Atom 1.0.  The serializing syntaxes
 are RDF/XML, N-Quads, N-Triples RSS 1.0 and Atom 1.0.  Raptor can handle
 RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP,
 Dublin Core and OWL.
 .
 Raptor is designed for performance, flexibility and embedding (no
 memory leaks) and to closely match the revised RDF/XML specification.

Package: raptor2-utils
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: raptor-utils
Replaces: raptor-utils
Description: Raptor 2 RDF parser and serializer utilities
 This package provides the rapper tool for validating, parsing and
 serializing RDF/XML, N-Triples, Turtle, RSS, Atom and other Resource
 Description Framework (RDF) syntaxes using the Raptor RDF library.

Package: libraptor2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Description: Documentation for the Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the HTML documentation for the Raptor library
 in /usr/share/doc/libraptor2-doc/ .

Package: libraptor2-0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version})
Description: Raptor RDF parser and serializer library - debugging symbols
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the debugging symbols for debugging
 applications which use libraptor2.

=== debian/rules ===
#!/usr/bin/make -f
#
# Debian rules for packaging Raptor2
#
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_DOCS_ALL=README NEWS AUTHORS NOTICE
DEB_INSTALL_DOCS_libraptor2-dev=UPGRADING.html docs/raptor1-eol.html

DEB_DBG_PACKAGE_libraptor2-0 = libraptor2-0-dbg

DEB_CONFIGURE_USER_FLAGS= \
  --with-xml-parser=libxml \
  --enable-release

install/libraptor2-dev::
	rm -f debian/tmp/usr/lib/libraptor2.la

## raptor2 2.0.4

=== debian/changelog ===
raptor2 (2.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #632836)
  * debian/libraptor2-0.shlibs: 2.0.4 (Closes: #635003)
  * debian/control: libraptor2-dev recommends raptor2-utils (Closes: #625910)
  * debian/rules: use make distclean to avoid destroying docs/html

 -- Dave Beckett <dajobe@debian.org>  Mon, 25 Jul 2011 23:36:14 -0700

raptor2 (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.9.2

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Jun 2011 21:13:59 -0700

raptor2 (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depend: on libyajl-dev to get JSON parser correctly included

 -- Dave Beckett <dajobe@debian.org>  Sun, 20 Mar 2011 18:15:00 -0700

raptor2 (2.0.0-2) unstable; urgency=low

  * Added version symbols (Closes: #613672)
  * Update debian/copyright to mention public domain files

 -- Dave Beckett <dajobe@debian.org>  Wed, 23 Feb 2011 12:53:40 -0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
+Standards-Version: 3.9.2
 Homepage: http://librdf.org/raptor/
 
 Package: libraptor2-dev
 Suggests: libraptor2-doc
-Recommends: raptor-utils
+Recommends: raptor2-utils
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18)
+Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18), libyajl-dev
 Description: Raptor 2 RDF syntax library development libraries and headers
  Raptor Resource Description Framework (RDF) parser and serializer
  development libraries, header files and documentation needed by

## raptor2 2.0.6

=== debian/changelog ===
raptor2 (2.0.6-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via XML External Entity
    (XXE) attack
    - debian/patches/CVE-2012-0037.patch: Add disabled by default
      loadExternalEntities and RAPTOR_OPTION_LOAD_EXTERNAL_ENTITIES option
      for turning on loading of XML external entities in librdfa/rdfa.c,
      src/raptor2.h.in, src/raptor_libxml.c, src/raptor_option.c,
      src/raptor_rdfxml.c, src/raptor_rss.c, src/raptor_internal.h,
      src/raptor_sax2.c.
    - CVE-2012-0037

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Jul 2013 11:45:48 -0400

raptor2 (2.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.6

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Nov 2011 16:23:53 -0800

raptor2 (2.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.5

 -- Dave Beckett <dajobe@debian.org>  Tue, 22 Nov 2011 14:14:44 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: raptor2
 Section: devel
 Priority: optional
-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
 Standards-Version: 3.9.2
 Homepage: http://librdf.org/raptor/

## raptor2 2.0.8

=== debian/changelog ===
raptor2 (2.0.8-2) unstable; urgency=low

  * debian/control: add a breaks relation by libraptor2-0 against squeeze
    libraptor1 to force upgrades to a version with symbol versioning
    (Closes: #656928)
  * Added debian/patches/001-remove-m-strict-help.patch to remove -m strict
    from rapper help (Closes: #685682)

 -- Dave Beckett <dajobe@debian.org>  Fri, 07 Sep 2012 21:32:35 -0700

raptor2 (2.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.8
  * Make 'make clean' repeatable again

 -- Dave Beckett <dajobe@debian.org>  Sun, 24 Jun 2012 23:14:51 -0700

raptor2 (2.0.7-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Thu, 22 Mar 2012 09:34:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: raptor2
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Dave Beckett <dajobe@debian.org>
 Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://librdf.org/raptor/
 
 Package: libraptor2-dev
@@ -22,6 +21,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libraptor1 (<< 1.4.21-3)
 Suggests: raptor2-utils
 Description: Raptor 2 RDF syntax library
  Raptor is a C library providing a set of parsers and serializers for

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,19 @@
 DEB_DBG_PACKAGE_libraptor2-0 = libraptor2-0-dbg
 
 DEB_CONFIGURE_USER_FLAGS= \
-  --with-xml-parser=libxml \
   --enable-release
+
+LDFLAGS += -Wl,--default-symver
+
+DEB_MAKE_CLEAN_TARGET := 
+
+clean::
+	# raw distclean deletes the docs/html documentation
+	if test -r Makefile; then \
+	  mv docs/html docs/html.saved; \
+	  $(MAKE) distclean; \
+	  mv docs/html.saved docs/html; \
+	fi
 
 install/libraptor2-dev::
 	rm -f debian/tmp/usr/lib/libraptor2.la

## raptor2 2.0.9

=== debian/changelog ===
raptor2 (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/001-remove-m-strict-help.patch merged upstream

 -- Dave Beckett <dajobe@debian.org>  Sat, 09 Mar 2013 14:47:28 -0800

## raptor2 2.0.13

=== debian/changelog ===
raptor2 (2.0.13-1) unstable; urgency=medium

  * New upstream release
  * Removed upstream patch 001-memset-transposed.patch

 -- Dave Beckett <dajobe@debian.org>  Thu, 30 Jan 2014 10:22:12 -0800

raptor2 (2.0.12-4) unstable; urgency=low

  * Use dh-autoreconf at build time to support new ports. 
    Patch from Steve Langasek - thanks. (Closes: #735400)
  * debian/rules: Altered clean target to work with dh_autoreconf
    deleting Makefile it needs.

 -- Dave Beckett <dajobe@debian.org>  Sun, 26 Jan 2014 10:54:15 -0800

raptor2 (2.0.12-3) unstable; urgency=low

  * Remove versioned build-depends on pkg-config (Closes: #734485)

 -- Dave Beckett <dajobe@debian.org>  Sun, 12 Jan 2014 19:28:18 -0800

raptor2 (2.0.12-2) unstable; urgency=low

  * Add Multi-Arch support
  * debian/control: Standards version 3.9.5

 -- Dave Beckett <dajobe@debian.org>  Sun, 15 Dec 2013 12:39:06 -0800

raptor2 (2.0.12-1) unstable; urgency=medium

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.12
  * Added patch 001-memset-transposed.patch to fix transposed memset args

 -- Dave Beckett <dajobe@debian.org>  Fri, 13 Dec 2013 19:09:00 -0800

raptor2 (2.0.11-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.11

 -- Dave Beckett <dajobe@debian.org>  Sun, 24 Nov 2013 17:27:08 -0800

raptor2 (2.0.10-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.10

 -- Dave Beckett <dajobe@debian.org>  Sat, 31 Aug 2013 11:02:11 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, cdbs (>= 0.4.93~), libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev, quilt, gtk-doc-tools
+Standards-Version: 3.9.5
 Homepage: http://librdf.org/raptor/
 
 Package: libraptor2-dev
@@ -11,7 +11,7 @@
 Recommends: raptor2-utils
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18), libyajl-dev
+Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config, libyajl-dev
 Description: Raptor 2 RDF syntax library development libraries and headers
  Raptor Resource Description Framework (RDF) parser and serializer
  development libraries, header files and documentation needed by
@@ -20,6 +20,8 @@
 Package: libraptor2-0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libraptor1 (<< 1.4.21-3)
 Suggests: raptor2-utils

## raptor2 2.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 SET(RAPTOR_VERSION_MAJOR	2)
 SET(RAPTOR_VERSION_MINOR	0)
-SET(RAPTOR_VERSION_RELEASE	13)
-SET(RAPTOR_MIN_VERSION_DECIMAL	20013)
+SET(RAPTOR_VERSION_RELEASE	14)
+SET(RAPTOR_MIN_VERSION_DECIMAL	20014)
 
 SET(VERSION "${RAPTOR_VERSION_MAJOR}.${RAPTOR_VERSION_MINOR}.${RAPTOR_VERSION_RELEASE}")
 MATH(EXPR RAPTOR_VERSION_DECIMAL "${RAPTOR_VERSION_MAJOR} * 10000 + ${RAPTOR_VERSION_MINOR} * 100 + ${RAPTOR_VERSION_RELEASE}")

=== debian/changelog ===
raptor2 (2.0.14-1build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:55:19 +0000

raptor2 (2.0.14-1) unstable; urgency=medium

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.14
  * debian/control: Mark debug package as Multi-Arch: same [lintian]

 -- Dave Beckett <dajobe@debian.org>  Mon, 05 May 2014 11:15:00 -0700

=== debian/watch ===
version=2
http://download.librdf.org/source/ raptor2-([\d+\.]+|\d+)\.tar\.gz debian uupdate

## raptor2 2.0.14.1

=== debian/changelog ===
raptor2 (2.0.14.1-1+eagle) UNRELEASED; urgency=medium

  * update

 -- Dave Beckett <dajobe@debian.org>  Fri, 13 Nov 2020 11:17:10 +0800

## raptor2 2.0.15

=== utils/CMakeLists.txt ===
# raptor/utils/CMakeLists.txt
#
# Original listfile by Daniel Richard G. <skunk@iSKUNK.ORG>
# This file is in the public domain.
#

INCLUDE_DIRECTORIES(BEFORE
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_BINARY_DIR}/src
	${CMAKE_CURRENT_SOURCE_DIR}
)

IF(NOT HAVE_GETOPT AND NOT HAVE_GETOPT_LONG)
	SET(getopt_sources getopt.c raptor_getopt.h)
ENDIF(NOT HAVE_GETOPT AND NOT HAVE_GETOPT_LONG)

ADD_EXECUTABLE(rapper rapper.c ${getopt_sources})
TARGET_LINK_LIBRARIES(rapper raptor2)

ADD_EXECUTABLE(rdfdiff rdfdiff.c ${getopt_sources})
TARGET_LINK_LIBRARIES(rdfdiff raptor2)

INSTALL(FILES   rapper.1 DESTINATION share/man/man1)
INSTALL(TARGETS rapper   DESTINATION bin)

# end raptor/utils/CMakeLists.txt

=== debian/changelog ===
raptor2 (2.0.15-4+deb12u1) bookworm; urgency=medium

  * Integer Underflow in raptor_uri_normalize_path() (CVE-2024-57823)
    (Closes: #1067896)
  * Heap read buffer overflow in ntriples bnode (CVE-2024-57822)
    (Closes: #1067896)
  * Tests for Github issue 70

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 Mar 2025 20:42:36 +0100

raptor2 (2.0.15-4) unstable; urgency=medium

  * QA upload.
  * libraptor2-doc: Add Breaks+Replaces: libraptor2-dev (<< 2.0.15-3) for
    documentation reorganisation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Oct 2022 01:38:55 +0200

raptor2 (2.0.15-3) unstable; urgency=medium

  * QA upload.
  * debian/changelog: Fix some typos.
  * debian/control:
    + libraptor2-dev: Drop Depends on pkg-config.
    + raptor2-utils: Drop Conflicts/Replaces (no longer needed).
    + libraptor2-doc:
      - Mark package Multi-Arch: foreign.
      - Remove documentation path from package description.
  * debian/patches:
    + Fix FTBFS when libxml2 is detected via pkg-config (Closes: #949490).
    + Fix a typo in an existing patch name.
  * debian/rules:
    + Don't install upstream's README file in all binary packages.
      The README file is now only installed in libraptor2-doc.
    + Drop dh_installchangelogs override.
    + Drop dh_strip override; dbgsym-migration is complete.
  * Drop "debian/tmp" from installation paths.
  * libraptor2-0: Add symbols file.
  * libraptor2-doc: Replace .install file with .docs.
  * lintian-overrides: Add overrides for very-long-line-length-in-source-file
    and source-is-missing messages.
  * Add debian/upstream/metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 29 Sep 2022 21:27:03 +1000

raptor2 (2.0.15-2) unstable; urgency=medium

  * QA upload.
  * Include missing LDFLAGS "-Wl,--default-symver".

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 26 Jul 2022 19:55:50 +0200

raptor2 (2.0.15-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. Closes: #906938
  * Set Debian QA as maintainer. See #1012727
  * Rebase patches.
  * d/rules:
    - Rewrite to use dh-sequencer.
  * d/control:
    - Bump debhelper to 13. Closes: #965792
    - Drop dh-autoreconf, quilt and cdbs as build dependencies.
      Add pkg-config and libglib2.0-dev as build dependencies.
    - Apply libraptor2-dev Multi-Arch: same.
    - Document Rules-Requires-Root.
    - Use secure URI for homepage.
    - Update Standards-Version to 4.6.1
    - Remove version constraints on packages, no longer needed.
    - Remove breaks in package libraptor2-0.
  * d/watch:
    - Bump to version 4.
    - Change to secure URI.
  * Migrate to dbgsym packages.
  * Upstream patch to use pkg-config, to find xslt library. Closes: #948873
    Thanks to Hugh McMaster for patch.
  * Add d/not-installed.
  * Change d/*.install, install files generated at buildtime.
  * Drop *.doc-base file.
  * Remove end-of-line whitespace in d/changelog.
  * Fix typo in patch description.
  * Add lintian-overrides for 'source-is-missing' *.html files.
  * wrap-and-sort -at
  * d/copyright: Convert to machine-readable format.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 26 Jul 2022 11:02:21 +0200

raptor2 (2.0.14-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Malformed input file can lead to a segfault (CVE-2020-25713)
    (Closes: #974664)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Jan 2021 11:14:00 +0100

raptor2 (2.0.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Calculate max nspace declarations correctly for XML writer
    (CVE-2017-18926) (Closes: #973889)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 06 Nov 2020 22:08:54 +0100

=== debian/control ===
Source: raptor2
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gtk-doc-tools,
               libcurl4-gnutls-dev,
               libglib2.0-dev,
               libtool,
               libxml2-dev,
               libxslt1-dev,
               libyajl-dev,
               pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://librdf.org/raptor/

Package: libraptor2-dev
Suggests: libraptor2-doc
Recommends: raptor2-utils
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcurl4-gnutls-dev,
         libraptor2-0 (= ${binary:Version}),
         libxml2-dev,
         libxslt1-dev,
         libyajl-dev,
         ${misc:Depends}
Description: Raptor 2 RDF syntax library development libraries and headers
 Raptor Resource Description Framework (RDF) parser and serializer
 development libraries, header files and documentation needed by
 programs that want to be compiled with Raptor.

Package: libraptor2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: raptor2-utils,
Description: Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 The parsing syntaxes are RDF/JSON, RDF/XML, N-Triples, Turtle, GRDDL and RSS
 tag soup including Atom 0.3 and Atom 1.0.  The serializing syntaxes
 are RDF/XML, N-Quads, N-Triples RSS 1.0 and Atom 1.0.  Raptor can handle
 RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP,
 Dublin Core and OWL.
 .
 Raptor is designed for performance, flexibility and embedding (no
 memory leaks) and to closely match the revised RDF/XML specification.

Package: raptor2-utils
Section: text
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Raptor 2 RDF parser and serializer utilities
 This package provides the rapper tool for validating, parsing and
 serializing RDF/XML, N-Triples, Turtle, RSS, Atom and other Resource
 Description Framework (RDF) syntaxes using the Raptor RDF library.

Package: libraptor2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: lynx | www-browser,
         ${misc:Depends}
Breaks: libraptor2-dev (<< 2.0.15-3),
Replaces: libraptor2-dev (<< 2.0.15-3),
Description: Documentation for the Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the HTML documentation for the Raptor 2 library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--default-symver

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C $(CURDIR)/src check-TESTS
endif
